<?php


return  
    [
        'model' => [
            'model' => \Litepie\Notification\Models\Notification::class,
            'table' => 'litepie_notification_notifications',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['type',  'notifiable_type',  'notifiable_id',  'data',  'subject',  'message',  'actions',  'variant',  'pinned',  'read_at'],
            'translatables' => [],
            'upload_folder' => 'notification/notification',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'notification::notification.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notifiable_type", 
                "type" => "text", 
                "label" => 'notification::notification.label.notifiable_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notifiable_id", 
                "type" => "text", 
                "label" => 'notification::notification.label.notifiable_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "data", 
                "type" => "text", 
                "label" => 'notification::notification.label.data', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "subject", 
                "type" => "text", 
                "label" => 'notification::notification.label.subject', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "message", 
                "type" => "text", 
                "label" => 'notification::notification.label.message', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actions", 
                "type" => "text", 
                "label" => 'notification::notification.label.actions', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "variant", 
                "type" => "text", 
                "label" => 'notification::notification.label.variant', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "pinned", 
                "type" => "text", 
                "label" => 'notification::notification.label.pinned', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "read_at", 
                "type" => "text", 
                "label" => 'notification::notification.label.read_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.type',
                "placeholder" => 'notification::notification.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notifiable_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.notifiable_type',
                "placeholder" => 'notification::notification.placeholder.notifiable_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notifiable_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'notification::notification.label.notifiable_id',
                "placeholder" => 'notification::notification.placeholder.notifiable_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'data',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.data',
                "placeholder" => 'notification::notification.placeholder.data',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'subject',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.subject',
                "placeholder" => 'notification::notification.placeholder.subject',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'message',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.message',
                "placeholder" => 'notification::notification.placeholder.message',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actions',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.actions',
                "placeholder" => 'notification::notification.placeholder.actions',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'variant',
                "element" => 'text',
                "type" => 'text',
                "label" => 'notification::notification.label.variant',
                "placeholder" => 'notification::notification.placeholder.variant',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'pinned',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'notification::notification.label.pinned',
                "placeholder" => 'notification::notification.placeholder.pinned',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'read_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'notification::notification.label.read_at',
                "placeholder" => 'notification::notification.placeholder.read_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'notification/notification/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'notification/notification/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'notification/notification',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'notification/notification',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'notification/notification',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'notification/notification',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'notification::notification.label.created_at',
            'name' => 'notification::notification.label.name',
            'status' => 'notification::notification.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "notification::notification.groups.main",
                'group' => "main.main",
                'title' => "notification::notification.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "notification::notification.groups.details",
                'group' => "main.details",
                'title' => "notification::notification.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "notification::notification.groups.images",
                'group' => "main.images",
                'title' => "notification::notification.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "notification::notification.groups.settings",
                'group' => "main.settings",
                'title' => "notification::notification.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Notification',
            'module' => 'Notification',
        ],

        
        
    ];
