<?php

namespace Litepie\Notification\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class NotificationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litepie_notification_notifications')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litepie.notification.notification.view',
                'name'      => 'View Notification',
            ],
            [
                'slug'      => 'litepie.notification.notification.create',
                'name'      => 'Create Notification',
            ],
            [
                'slug'      => 'litepie.notification.notification.edit',
                'name'      => 'Update Notification',
            ],
            [
                'slug'      => 'litepie.notification.notification.delete',
                'name'      => 'Delete Notification',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/notification/notification',
                'name'        => 'Notification',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/notification/notification',
                'name'        => 'Notification',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'notification',
                'name'        => 'Notification',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Notification',
                'module'    => 'Notification',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litepie.notification.notification.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
