<?php

namespace Litepie\Notification\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litepie\Notification\Models\Notification;


class NotificationAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litepie.notification.notification';
    protected $eventClass = \Litepie\Notification\Events\NotificationAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Notification $notification, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $notification;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Notification $notification, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $notification = $notification->create($attributes);
        return $notification;
    }

    public function update(Notification $notification, array $request)
    {
        $attributes = $request;
        $notification->update($attributes);
        return $notification;
    }

    public function destroy(Notification $notification, array $request)
    {
        $notification->delete();
        return $notification;
    }

    public function copy(Notification $notification, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $notification = $notification->replicate();
            $notification->created_at = Carbon::now();
            $notification->save();
            return $notification;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $notification->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $notification;
    }


}
